- name: Faults 1 and 2
  hosts: leaf01 leaf02
  become: true
  gather_facts: false
  roles:
      - { role: fault-12 }
  tags:
  - fault-1
  - fault-2

- name: Fault 3
  hosts: leaf03 leaf04
  become: true
  gather_facts: false
  roles:
      - { role: fault-3 }
  tags:
  - fault-3